update_extlib.sh 1.2 KB

123456789101112131415161718192021222324252627282930313233343536373839404142
  1. #!/bin/sh
  2. # GNU MediaGoblin -- federated, autonomous media hosting
  3. # Copyright (C) 2015 GNU MediaGoblin Contributors. See AUTHORS.
  4. #
  5. # This program is free software: you can redistribute it and/or modify
  6. # it under the terms of the GNU Affero General Public License as published by
  7. # the Free Software Foundation, either version 3 of the License, or
  8. # (at your option) any later version.
  9. #
  10. # This program is distributed in the hope that it will be useful,
  11. # but WITHOUT ANY WARRANTY; without even the implied warranty of
  12. # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  13. # GNU Affero General Public License for more details.
  14. #
  15. # You should have received a copy of the GNU Affero General Public License
  16. # along with this program. If not, see <http://www.gnu.org/licenses/>.
  17. set -e
  18. # Make sure we have npm available
  19. if ! which npm > /dev/null 2>&1; then
  20. echo "Can't find npm, no way to install extlib :(";
  21. exit 1;
  22. fi
  23. # Install bower if need be
  24. if which bower > /dev/null 2>&1; then
  25. BOWER=`which bower`;
  26. elif [ -f ./node_modules/.bin/bower ]; then
  27. BOWER="./node_modules/.bin/bower";
  28. else
  29. echo "Bower not found, installing via npm!";
  30. npm install bower;
  31. BOWER="./node_modules/.bin/bower";
  32. fi
  33. # Do package/file installs
  34. $BOWER install